# $Revision: 1.14 $, $Date: 2011/11/22 10:25:01 $
Summary:	jQuery UI
Name:		jquery-ui
Version:	1.8.16
Release:	1
License:	MIT / GPL
Group:		Applications/WWW
Source0:	http://jquery-ui.googlecode.com/files/%{name}-%{version}.zip
# Source0-md5:	8bed4e09aace0223bcc695bbd1b2b86a
Source1:	find-lang.sh
URL:		http://jqueryui.com/
BuildRequires:	rpmbuild(macros) >= 1.553
BuildRequires:	unzip
Requires:	jquery >= 1.4
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_webapps	/etc/webapps
%define		_webapp		%{name}
%define		_sysconfdir	%{_webapps}/%{_webapp}
%define		_appdir		%{_datadir}/jquery/ui

%define		find_lang 	sh %{SOURCE1} %{buildroot}

%description
jQuery UI provides abstractions for low-level interaction and
high-level, themeable widgets, built on top of the jQuery JavaScript
Library, that you can use to build highly interactive web
applications.

%package demo
Summary:	Demo for jQuery UI
Summary(pl.UTF-8):	Pliki demonstracyjne dla pakietu jQuery UI
Group:		Development
Requires:	%{name} = %{version}-%{release}

%description demo
Demonstrations and samples for jQuery UI.

%package doc
Summary:	Manual for jQuery UI.
Summary(fr.UTF-8):	Documentation pour jQuery UI
Summary(it.UTF-8):	Documentazione di jQuery UI
Summary(pl.UTF-8):	Podręcznik dla jQuery UI
Group:		Documentation

%description doc
Documentation for jQuery UI.

%description doc -l fr.UTF-8
Documentation pour jQuery UI.

%description doc -l it.UTF-8
Documentazione di jQuery UI.

%description doc -l pl.UTF-8
Dokumentacja do jQuery UI.

%prep
%setup -q
%undos -f js,css,html

find ui/minified -name '*.min.js' | while read a; do
	mv $a ${a%.min.js}.js
done

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_appdir},%{_examplesdir}/%{name}-%{version}}
cp -a ui/minified/* $RPM_BUILD_ROOT%{_appdir}
cp -a themes $RPM_BUILD_ROOT%{_appdir}
cp -a demos/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%find_lang %{name}.lang

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS.txt
%dir %{_appdir}
%{_appdir}/jquery.ui.*.js
%{_appdir}/jquery.effects.*.js
%{_appdir}/themes

# bundle of all effects
%{_appdir}/jquery-ui.js
# bundle of all languages
%{_appdir}/i18n/jquery-ui-i18n.js

%files demo
%defattr(644,root,root,755)
%{_examplesdir}/%{name}-%{version}

%files doc
%doc docs/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: jquery-ui.spec,v $
Revision 1.14  2011/11/22 10:25:01  glen
- package doc

Revision 1.13  2011/11/22 10:15:50  glen
- up to 1.8.16

Revision 1.12  2011/01/26 14:30:06  glen
- up to 1.8.9

Revision 1.11  2010/07/14 10:34:02  glen
- update to 1.8.2

Revision 1.10  2010/07/14 10:13:17  glen
- up to 1.7.3

Revision 1.9  2010/07/14 10:09:59  glen
- add et datepicker localization; rel 2

Revision 1.8  2010/07/14 09:37:15  glen
- include base theme, rel 1

Revision 1.7  2010/06/04 13:31:47  glen
- typo

Revision 1.6  2010/05/16 14:14:09  sparky
- BR: unzip

Revision 1.5  2010/04/09 09:19:31  glen
- up to 1.7.2

Revision 1.4  2009/04/07 17:03:38  glen
- jquery 1.3+

Revision 1.3  2009/04/07 17:02:59  glen
- update to 1.7.1 stable

Revision 1.2  2009/04/07 16:52:21  glen
- up to 1.5.3, package to jquery 1.2.6 dirs

Revision 1.1  2008/10/15 15:16:19  glen
- new and unfinished
